# BaseGoogleChartParameter Class Reference

Inheritance diagram for BaseGoogleChartParameter:
[legend]

List of all members.

## Public Member Functions

| setName ($name)
| getName ()

## Protected Attributes

| $name = null

## Detailed Description

Definition at line 15 of file BaseGoogleChartParameter.class.php.

## Member Function Documentation

BaseGoogleChartParameter::getName | ( |  | ) |

Definition at line 29 of file BaseGoogleChartParameter.class.php.

BaseGoogleChartParameter::setName | ( | $ | name | ) |

Returns:
  BaseGoogleChartParameter

Definition at line 22 of file BaseGoogleChartParameter.class.php.

References $name.

## Member Data Documentation

BaseGoogleChartParameter::$name = null`[protected]`

Reimplemented in GoogleChartColor, GoogleChartData, GoogleChartGrid, GoogleChartLabel, GoogleChartLabelStyle, GoogleChartLegend, GoogleChartLineStyle, and GoogleChartSize.

Definition at line 17 of file BaseGoogleChartParameter.class.php.

Referenced by setName().

The documentation for this class was generated from the following file:

- main/Charts/Google/BaseGoogleChartParameter.class.php